<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_231) on Fri Dec 06 14:58:24 GMT 2019 -->
<title>Input</title>
<meta name="date" content="2019-12-06">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Input";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Input.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../game/Game.html" title="class in game"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../game/Main.html" title="class in game"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?game/Input.html" target="_top">Frames</a></li>
<li><a href="Input.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">game</div>
<h2 title="Class Input" class="title">Class Input</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>game.Input</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Input</span>
extends java.lang.Object</pre>
<div class="block">Takes inputs from player and checks them, this version uses system.in
 But if the game were made with a GUI this could be substituted in any way
 By replacing this class and leaving the references the same</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../game/Input.html#Input--">Input</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../player/Player.html" title="class in player">Player</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Input.html#createPlayerList-java.util.ArrayList-int-boolean-">createPlayerList</a></span>(java.util.ArrayList&lt;java.lang.String&gt;&nbsp;tokens,
                int&nbsp;numberOfPlayers,
                boolean&nbsp;debug)</code>
<div class="block">Creates a list of players, getting their names from input</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Input.html#getIndex--">getIndex</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.util.Scanner</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Input.html#getInput--">getInput</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Input.html#getNumber--">getNumber</a></span>()</code>
<div class="block">Gets an integer value from input</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Input.html#getNumberOrExit--">getNumberOrExit</a></span>()</code>
<div class="block">Gets an integer value from input
 If input is X, returns</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Input.html#getNumPlayers-boolean-">getNumPlayers</a></span>(boolean&nbsp;repeatFlag)</code>
<div class="block">Gets the number of players from input</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Input.html#getPlayerName-java.util.ArrayList-boolean-">getPlayerName</a></span>(java.util.ArrayList&lt;<a href="../player/Player.html" title="class in player">Player</a>&gt;&nbsp;players,
             boolean&nbsp;debug)</code>
<div class="block">Gets a player name and compares it to the list of players</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Input.html#getPlayerNameExcept-java.util.ArrayList-boolean-player.Player-">getPlayerNameExcept</a></span>(java.util.ArrayList&lt;<a href="../player/Player.html" title="class in player">Player</a>&gt;&nbsp;players,
                   boolean&nbsp;debug,
                   <a href="../player/Player.html" title="class in player">Player</a>&nbsp;notThisOne)</code>
<div class="block">Gets a player name except the player not wanted</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Input.html#getSquareName-java.util.ArrayList-">getSquareName</a></span>(java.util.ArrayList&lt;<a href="../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a>&gt;&nbsp;hand)</code>
<div class="block">Gets the name of the desired square</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Input.html#getYesOrNo--">getYesOrNo</a></span>()</code>
<div class="block">Gets a yes or no response from the player</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Input.html#isKeepGoing--">isKeepGoing</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Input.html#isValid--">isValid</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Input.html#setIndex-int-">setIndex</a></span>(int&nbsp;index)</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Input.html#setInput-java.util.Scanner-">setInput</a></span>(java.util.Scanner&nbsp;input)</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Input.html#setKeepGoing-boolean-">setKeepGoing</a></span>(boolean&nbsp;keepGoing)</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Input.html#setValid-boolean-">setValid</a></span>(boolean&nbsp;valid)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Input--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Input</h4>
<pre>public&nbsp;Input()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getNumPlayers-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNumPlayers</h4>
<pre>public&nbsp;int&nbsp;getNumPlayers(boolean&nbsp;repeatFlag)</pre>
<div class="block">Gets the number of players from input</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>repeatFlag</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="createPlayerList-java.util.ArrayList-int-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createPlayerList</h4>
<pre>public&nbsp;java.util.ArrayList&lt;<a href="../player/Player.html" title="class in player">Player</a>&gt;&nbsp;createPlayerList(java.util.ArrayList&lt;java.lang.String&gt;&nbsp;tokens,
                                                    int&nbsp;numberOfPlayers,
                                                    boolean&nbsp;debug)</pre>
<div class="block">Creates a list of players, getting their names from input</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>tokens</code> - </dd>
<dd><code>numberOfPlayers</code> - </dd>
<dd><code>debug</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="getYesOrNo--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getYesOrNo</h4>
<pre>public&nbsp;boolean&nbsp;getYesOrNo()</pre>
<div class="block">Gets a yes or no response from the player</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="getNumber--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNumber</h4>
<pre>public&nbsp;int&nbsp;getNumber()</pre>
<div class="block">Gets an integer value from input</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="getNumberOrExit--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNumberOrExit</h4>
<pre>public&nbsp;int&nbsp;getNumberOrExit()</pre>
<div class="block">Gets an integer value from input
 If input is X, returns</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="getPlayerName-java.util.ArrayList-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPlayerName</h4>
<pre>public&nbsp;java.lang.String&nbsp;getPlayerName(java.util.ArrayList&lt;<a href="../player/Player.html" title="class in player">Player</a>&gt;&nbsp;players,
                                      boolean&nbsp;debug)</pre>
<div class="block">Gets a player name and compares it to the list of players</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>players</code> - </dd>
<dd><code>debug</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>player name input</dd>
</dl>
</li>
</ul>
<a name="getPlayerNameExcept-java.util.ArrayList-boolean-player.Player-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPlayerNameExcept</h4>
<pre>public&nbsp;java.lang.String&nbsp;getPlayerNameExcept(java.util.ArrayList&lt;<a href="../player/Player.html" title="class in player">Player</a>&gt;&nbsp;players,
                                            boolean&nbsp;debug,
                                            <a href="../player/Player.html" title="class in player">Player</a>&nbsp;notThisOne)</pre>
<div class="block">Gets a player name except the player not wanted</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>players</code> - </dd>
<dd><code>debug</code> - </dd>
<dd><code>notThisOne</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="getSquareName-java.util.ArrayList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSquareName</h4>
<pre>public&nbsp;java.lang.String&nbsp;getSquareName(java.util.ArrayList&lt;<a href="../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a>&gt;&nbsp;hand)</pre>
<div class="block">Gets the name of the desired square</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>hand</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>name</dd>
</dl>
</li>
</ul>
<a name="getInput--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInput</h4>
<pre>public&nbsp;java.util.Scanner&nbsp;getInput()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="setInput-java.util.Scanner-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setInput</h4>
<pre>public&nbsp;void&nbsp;setInput(java.util.Scanner&nbsp;input)</pre>
</li>
</ul>
<a name="setValid-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setValid</h4>
<pre>public&nbsp;void&nbsp;setValid(boolean&nbsp;valid)</pre>
</li>
</ul>
<a name="setIndex-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setIndex</h4>
<pre>public&nbsp;void&nbsp;setIndex(int&nbsp;index)</pre>
</li>
</ul>
<a name="setKeepGoing-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setKeepGoing</h4>
<pre>public&nbsp;void&nbsp;setKeepGoing(boolean&nbsp;keepGoing)</pre>
</li>
</ul>
<a name="isValid--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isValid</h4>
<pre>public&nbsp;boolean&nbsp;isValid()</pre>
</li>
</ul>
<a name="isKeepGoing--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isKeepGoing</h4>
<pre>public&nbsp;boolean&nbsp;isKeepGoing()</pre>
</li>
</ul>
<a name="getIndex--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getIndex</h4>
<pre>public&nbsp;int&nbsp;getIndex()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Input.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../game/Game.html" title="class in game"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../game/Main.html" title="class in game"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?game/Input.html" target="_top">Frames</a></li>
<li><a href="Input.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
